Skip to main content
GET
/
api
/
v2
/
stats
/
usage
View Usage
curl --request GET \
  --url 'https://api.vida.dev/api/v2/stats/usage?token='
import requests

url = "https://api.vida.dev/api/v2/stats/usage?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.vida.dev/api/v2/stats/usage?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

token
string
query
required

Vida API Token

Query Parameters

giveCosts
boolean

Returns values for keys with cost: prefix.

combineCosts
boolean

Returns cost values and usage values in the same response.

billingPeriod
string

Accepts previous or current for previous and current billing periods.

timeseries
boolean

Returns data as a timeseries.

startDate
string

ISO date-time string, defaults to billing period start date.

endDate
string

ISO date-time string, optional, defaults to today.

frequency
string

Frequency value. Allowed: day, month, year. Defaults to day.

allItems
boolean

Show all product items and not just the current plan.

Response

Stats fetched successfully

The response is of type object.